package com.pcloud.book.advertising.biz.impl;

import com.pcloud.book.advertising.entity.AdvertisingCpaPaySyncRecord;
import com.pcloud.book.advertising.dao.AdvertisingCpaPaySyncRecordDao;
import com.pcloud.book.advertising.biz.AdvertisingCpaPaySyncRecordBiz;
import com.pcloud.common.core.aspect.ParamLog;
import com.pcloud.common.page.PageBeanNew;
import com.pcloud.common.page.PageParam;
import com.pcloud.common.exceptions.BizException;
import com.pcloud.common.utils.ListUtils;
import com.pcloud.common.utils.NumberUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.List;

/**
 * (AdvertisingCpaPaySyncRecord)表服务实现类
 *
 * @author makejava
 * @since 2022-12-09 16:41:33
 */
@Service("advertisingCpaPaySyncRecordBiz")
public class AdvertisingCpaPaySyncRecordBizImpl implements AdvertisingCpaPaySyncRecordBiz {

    private static final Logger LOGGER = LoggerFactory.getLogger(AdvertisingCpaPaySyncRecordBizImpl.class);

    @Autowired
    private AdvertisingCpaPaySyncRecordDao advertisingCpaPaySyncRecordDao;

    @Override
    @ParamLog("通过ID查询单条数据")
    public AdvertisingCpaPaySyncRecord getById(Long id) {
        return advertisingCpaPaySyncRecordDao.getById(id);
    }

    @Override
    @ParamLog("查询多条数据")
    public PageBeanNew getList(Integer currentPage, Integer numPerPage) {
        PageBeanNew pageBeanNew = advertisingCpaPaySyncRecordDao.listPageNew(new PageParam(currentPage, numPerPage), null, "getList");
        List recordList = pageBeanNew.getRecordList();
        if (ListUtils.isEmpty(recordList)){
            return pageBeanNew;
        }
        // 加载其它数据
        
        return pageBeanNew;
    }

    @Override
    @ParamLog("新增")
    public Long insert(AdvertisingCpaPaySyncRecord advertisingCpaPaySyncRecord) {
        advertisingCpaPaySyncRecordDao.insert(advertisingCpaPaySyncRecord);
        return advertisingCpaPaySyncRecord.getId();
    }

    @Override
    @ParamLog("修改")
    public void update(AdvertisingCpaPaySyncRecord advertisingCpaPaySyncRecord) {
        if(advertisingCpaPaySyncRecord == null || !NumberUtil.isNumber(advertisingCpaPaySyncRecord.getId())){
            throw BizException.PARAM_IS_NULL;
        }
        advertisingCpaPaySyncRecordDao.update(advertisingCpaPaySyncRecord);
    }

    @Override
    @ParamLog("删除")
    public void deleteById(Long id) {
        advertisingCpaPaySyncRecordDao.deleteById(id);
    }

}
